﻿using ThinkGeo.MapSuite.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Collections.ObjectModel;
using System.Threading;
using System.Globalization;

namespace delete2
{
    class Program
    {
        static void Main(string[] args)
        {
            //M1();
            //M2();
            M3();
        }

        private static void M3()
        {
            ShapeFileFeatureSource source = new ShapeFileFeatureSource(@"D:\tmp4\sample_POI\poi_Sample.shp");
            source.Encoding = System.Text.Encoding.UTF8;
            source.Open();
            Collection<Feature> features = source.GetAllFeatures(ReturningColumnsType.AllColumns);
            //Collection<Feature> features = source.GetAllFeatures(new string[] { "NAMEA" });
            source.Close();
            Thread.CurrentThread.CurrentCulture = new CultureInfo("ar-SA", false);
            foreach (Feature f in features)
            {
                if (!String.IsNullOrEmpty(f.ColumnValues["namea"].ToString()))
                {
                    Console.WriteLine(Convert.ToString(f.ColumnValues["namea"], CultureInfo.CurrentCulture));
                }
            }
            Console.ReadLine();
        }

        private static void M2()
        {
            ShapeFileFeatureSource source = new ShapeFileFeatureSource(@"D:\tmp4\sample_POI\poi_Sample.shp");
            source.Encoding = Encoding.UTF8;
            source.Open();
            DataTable dt = source.ExecuteQuery("select * from poi_Sample");
            int count = dt.Rows.Count;
            for (int i = 0; i < count; i++)
            {
                DataRow row = dt.Rows[i];
                string name = row["namea"].ToString();
                if (!String.IsNullOrEmpty(name))
                {
                    Console.WriteLine(name);
                }
            }
            Console.ReadLine();
        }

        private static void M1()
        {
            ShapeFileFeatureSource source = new ShapeFileFeatureSource(@"D:\tmp4\sample_POI\poi_Sample.shp");
            source.Open();
            DataTable dt = source.ExecuteQuery("select * from poi_Sample");
            int count = dt.Rows.Count;
            for (int i = 0; i < count; i++)
            {
                DataRow row = dt.Rows[i];
                string name = row["namea"].ToString();
                if (!String.IsNullOrEmpty(name))
                {
                    Console.WriteLine(name);
                }
            }
            Console.ReadLine();
        }
    }
}
